View Issue Details

IDProjectCategoryView StatusLast Update
0005554MediaMonkey (current)DB/FileMonitorpublic2009-05-01 20:40
Reporterrusty 
PriorityimmediateSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1 
Target Version3.1Fixed in Version3.1 
Summary0005554: Instability after DB upgrade
DescriptionThere have been a couple of reports of instability after a DB upgrade, however, I think I now have a full set of debug logs from Judas that hopefully illustrate the problem.

The log covers the following:
1) Update from 3.0 format to 3.1.
2) As before, the old DB was in my old computer, so I put it in the new one (which has songs in the same folder structure) and located missing tracks.
-->It found most files, and then updated them all...when it got to the last one, the process just sat there, nothing happening for half an hour, do I terminated it...nothing happened.
3) Closed and reopened MM, and all files were there. Then I went to the location node and organized the files in a folder by artist, scrolled a little bit
--> MM crashed...completely unresponsive.

This is documented in log1

So I tried it again, same steps: open MM, location node, select folder, select 'All', organize by artist, select first track, try to scroll
-->crash!

This is documented in log2

The source 3.0 db, and logs are stored to the ftp server.
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=38715 Instability after DB upgrade
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=38864
TagsNo tags attached.
Fixed in build1241

Activities

petr

2009-04-28 15:51

developer   ~0017619

Last edited: 2009-05-04 19:56

I've made some optimizations in filters (based on logs on first forum thread), but about second forum thread you've mentioned... [Edited: see 0004787].

rusty

2009-05-01 20:40

administrator   ~0017656

Confirmed with judas that build 1242 resolved this issue!